# $Revision: 1.38 $, $Date: 2008/07/27 22:34:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Sort
Summary:	File::Sort - sort a file or merge sort multiple files
Summary(pl.UTF-8):	File::Sort - sortowanie pliku lub połączenie wyniku sortowania wielu plików
Name:		perl-File-Sort
Version:	1.01
Release:	4
# same as perl
License:	GPL v1 or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1feb4128bba2edde68ada7838e55863a
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The File::Sort Perl module sorts text files by lines (or records). 
Comparisons are based on one or more sort keys extracted from each
line of input, and are performed lexicographically. By default, if
keys are not given, sort regards each input line as a single field. 
The sort is a merge sort.

%description -l pl.UTF-8
Moduł Perla File::Sort sortuje pliki tekstowe według wierszy (lub
rekordów). Porównania dokonywane są w oparciu o jeden lub więcej
kluczy sortowania pobieranych z każdego wiersza danych wejściowych i
układane leksykograficznie. Domyślnie, jeśli nie podano klucza,
sortowanie dotyczy całych wierszy danych wejściowych jako pojedynczych
pól. Wyniki sortowania są łączone. 

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README eg
%{perl_vendorlib}/File/Sort.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Sort.spec,v $
Revision 1.38  2008/07/27 22:34:54  arekm
- release 4

Revision 1.37  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:32  baggins
- converted to UTF-8

Revision 1.35  2004/11/03 22:30:21  paladine
- formatting

Revision 1.34  2004/05/07 01:09:20  ankry
- rel. 3

Revision 1.33  2004/05/06 18:09:36  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/25 21:34:45  ankry
- added tests

Revision 1.31  2004/04/20 14:42:32  ankry
- summary/description/license fixes

Revision 1.30  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 19:09:10  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:39:23  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:32:26  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/07/11 11:43:43  qboosh
- new %%doc, cosmetics

Revision 1.21  2002/07/11 07:59:06  depesz
- new version; should work; STBR

Revision 1.20  2002/07/10 08:47:15  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:31:30  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:13:56  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:26:26  depesz
adapterized

Revision 1.14  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.12  2001/11/27 16:39:17  mis
- autoupdated to 1.00

Revision 1.11  2001/04/17 12:09:01  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/03 21:50:59  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 20:44:38  pius
- updated to 0.91

Revision 1.2  1999/11/05 16:52:51  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:03  pius
- initial release
